/*
 * This file is part of Applied Energistics 2.
 * Copyright (c) 2013 - 2014, AlgorithmX2, All rights reserved.
 *
 * Applied Energistics 2 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Applied Energistics 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Applied Energistics 2.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package appeng.integration.modules.jei;


import com.google.common.base.Strings;

import mezz.jei.api.IJeiRuntime;

import appeng.integration.abstraction.IJEI;


class JeiRuntimeAdapter implements IJEI
{

	private final IJeiRuntime runtime;

	JeiRuntimeAdapter( IJeiRuntime jeiRuntime )
	{
		this.runtime = jeiRuntime;
	}

	@Override
	public boolean isEnabled()
	{
		return true;
	}

	@Override
	public String getSearchText()
	{
		return Strings.nullToEmpty( this.runtime.getIngredientFilter().getFilterText() );
	}

	@Override
	public void setSearchText( String searchText )
	{
		this.runtime.getIngredientFilter().setFilterText( Strings.nullToEmpty( searchText ) );
	}
}
